Page MenuHomePhabricator

Activate Swish as an internal payment option
Open, Needs TriagePublic3 Story Points

Description

From August 2018 Swish is available as an internal payment option (alternative to PayPal) in Zynatic. We should set it up so that we an use it as it is more common than PayPal in Sweden.

Setting it up requires following the instructions at KonfigSwish integration (more detailed instructions) and getting the required Swish certificates.

We might have to update our Swish number in Zynatic since its currently entered with spaces to be easily readable on e.g. invoices. If so we might follow up with a request to Zynatic that the numbers be displayed with spaces (as per how Swish does it).

Ones this is up and running we need to revise our Invoice message to mention that Swish and PayPal are both available if you log in.

Event Timeline

@Evelina-Bang-WMSE We need to check if this is something you and I can do or if it requires John to log in with BankId somewhere.

@Evelina-Bang-WMSE We need to check if this is something you and I can do or if it requires John to log in with BankId somewhere.

I believe John needs to do it. I got this error message when I tried to log in on https://comcert.getswish.net/:
Error: You may have been logged out, you may not be registered in the system or you may not be authorized for the specified organisation and/or Swish number.

Lokal_Profil added a comment.EditedAug 27 2018, 10:18 AM

This is now live (from Zynatics side). Detailed instructions can be found at https://www.zynatic.se/MRG-18-5.002-Swish.pdf.

A "betala med Swish" button (similar to that for PayPal) will automatically be added to the Member landing page when this has been activated.

Lokal_Profil updated the task description. (Show Details)Oct 23 2018, 7:52 PM
Lokal_Profil added a subscriber: Jopparn.

@Jopparn @Evelina-Bang-WMSE This one is important to get done before the end of the year so that people can use Swish to renew their memberships (also costs us less than paypal).

If done by December it could be communicated to members together with a tip that renewals are n o w open for 2019..

The majority can be done by Evelina but only John can request the certificates through the bank.

Lokal_Profil updated the task description. (Show Details)Oct 23 2018, 8:00 PM

We need to get Swish Handel in order to activate this. @Jopparn can get it online in Swedbank.

  • arrangement fee: 1000 SEK
  • monthly fee: 50 SEK
  • fee per transaction: 3 SEK

We need to get a new number, we can't "upgrade" our existing Swish (which is Swish Företag). We could use the new only for Zynatic and keep the old one for other things (Swish Företag is 1,50 SEK per transaction).

We need to get Swish Handel in order to activate this. @Jopparn can get it online in Swedbank.

  • arrangement fee: 1000 SEK
  • monthly fee: 50 SEK
  • fee per transaction: 3 SEK

We need to get a new number, we can't "upgrade" our existing Swish (which is Swish Företag). We could use the new only for Zynatic and keep the old one for other things (Swish Företag is 1,50 SEK per transaction).

The existing one could perhaps be used for donations? I will log in and activate this today.

We got an error message. Probably due to the need to have the Chair or the Treasurer sign of on it as well. We probably have to send in a paper document or go to the bank. Evelina will investigate further.

Jopparn moved this task from Backlog to This week on the User-Jopparn board.Dec 14 2018, 2:18 PM
Evelina-Bang-WMSE added a comment.EditedJan 7 2019, 9:48 AM

The papers for applying for Swish Handel have been sent to Swedbank via e-mail on December 20 and mail on December 22. Waiting for their response.

I've added me as someone who can administrate Swish certificates. I got through the instruction on how to activate Swish in Zynatic. It seems to be activated, but I get an error message when I try to pay my membership fee. I've e-mailed Zynatic and asked for help.

Zynatic couldn't see what the problem was, so I created a new certificate and tried with that. This worked.

@Evelina-Bang-WMSE Is this fully working now and this task can be closed? If not, what is missing?

The end result looks like we now have two numbers (one for donations and one for integration with Zynatic)? We should probably make a note about the second number on https://se.wikimedia.org/wiki/Wikimedia_Sverige. Not so that people use it but as a way of re-assuring anyone who spots that the number is different. A footnote should be enough.

The certificate is valid until 2024 so we won't need to worry for a while but will we get a notification when it's about to expire? And if so to which address is it sent? Mainly good to know in advance as it expires mid-January which is a busy month membership wise.

We might have to update our Swish number in Zynatic since its currently entered with spaces to be easily readable on e.g. invoices. If so we might follow up with a request to Zynatic that the numbers be displayed with spaces (as per how Swish does it).

Not necessary. The current implementation distinguishes between the integrated Swish number (the new one) and the one displayed on invoices (the old/public one).

Ones this is up and running we need to revise our Invoice message to mention that Swish and PayPal are both available if you log in.

Is this the last bit of this task to be handled? Might be worth breaking it out as a separate task with a check-list to see which of the existing messages need updating.

Jopparn set the point value for this task to 3.Aug 21 2019, 10:38 AM

Ones this is up and running we need to revise our Invoice message to mention that Swish and PayPal are both available if you log in.

Is this the last bit of this task to be handled? Might be worth breaking it out as a separate task with a check-list to see which of the existing messages need updating.

The mesage in question is Faktura_till_ny_medlem#Faktura:_Meddelandefält_1 we want to encourage people to log in even if paying with swish (since no admin is needed from our side if they do).

Suggestion is to reorder the message so that it says you can log in to pay via Swish or paypal. Otherwise you can pay via the invoice below or by swishing and adding your membership number....

Ones this is up and running we need to revise our Invoice message to mention that Swish and PayPal are both available if you log in.

Is this the last bit of this task to be handled? Might be worth breaking it out as a separate task with a check-list to see which of the existing messages need updating.

The mesage in question is Faktura_till_ny_medlem#Faktura:_Meddelandefält_1 we want to encourage people to log in even if paying with swish (since no admin is needed from our side if they do).
Suggestion is to reorder the message so that it says you can log in to pay via Swish or paypal. Otherwise you can pay via the invoice below or by swishing and adding your membership number....

I've reordered the information in the messages.

Ones this is up and running we need to revise our Invoice message to mention that Swish and PayPal are both available if you log in.

Is this the last bit of this task to be handled? Might be worth breaking it out as a separate task with a check-list to see which of the existing messages need updating.

The mesage in question is Faktura_till_ny_medlem#Faktura:_Meddelandefält_1 we want to encourage people to log in even if paying with swish (since no admin is needed from our side if they do).
Suggestion is to reorder the message so that it says you can log in to pay via Swish or paypal. Otherwise you can pay via the invoice below or by swishing and adding your membership number....

I've reordered the information in the messages.

Is everything done then and this task can be closed?

Is everything done then and this task can be closed?

It's done.

Jopparn moved this task from This week to Done on the User-Jopparn board.Thu, Dec 5, 3:54 PM
Jopparn moved this task from Watching to Done on the User-LokalProfil board.